# Uses of Interface
org.sunflow.core.Display

Packages that use Display
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.core.display
org.sunflow.core.renderer
org.sunflow.system

## Uses of Display in org.sunflow

Classes in org.sunflow that implement Display
Modifier and Type
Class
Description
`class`
`Benchmark`
Methods in org.sunflow with parameters of type Display
Modifier and Type
Method
Description
`final void`
SunflowAPI.`render(String optionsName, Display display)`
`void`
SunflowAPIInterface.`render(String optionsName, Display display)`
Render using the specified options and the specified display.

## Uses of Display in org.sunflow.core

Methods in org.sunflow.core with parameters of type Display
Modifier and Type
Method
Description
`void`
ImageSampler.`render(Display display)`
Render the image to the specified display.
`void`
Scene.`render(Options options, ImageSampler sampler, Display display)`
Render the scene using the specified options, image sampler and display.

## Uses of Display in org.sunflow.core.display

Classes in org.sunflow.core.display that implement Display
Modifier and Type
Class
Description
`class`
`FastDisplay`
`class`
`FileDisplay`
`class`
`FrameDisplay`
`class`
`ImgPipeDisplay`

## Uses of Display in org.sunflow.core.renderer

Methods in org.sunflow.core.renderer with parameters of type Display
Modifier and Type
Method
Description
`void`
BucketRenderer.`render(Display display)`
`void`
MultipassRenderer.`render(Display display)`
`void`
ProgressiveRenderer.`render(Display display)`
`void`
SimpleRenderer.`render(Display display)`

## Uses of Display in org.sunflow.system

Classes in org.sunflow.system that implement Display
Modifier and Type
Class
Description
`class`
`ImagePanel`